code-editor-2.8.1-21.fc29.x86_64.rpm


Advertisement

Description

code-editor - Lightweight and cross-platform text and code editor based on Qt Creator

Property Value
Distribution Fedora 29
Repository Fedora x86_64
Package filename code-editor-2.8.1-21.fc29.x86_64.rpm
Package name code-editor
Package version 2.8.1
Package release 21.fc29
Package architecture x86_64
Package type rpm
Category Development/Tools
Homepage http://qt.gitorious.org/~ilyesgouta/qt-creator/code-editor
License LGPLv2
Maintainer -
Download size 4.80 MB
Installed size 17.31 MB
CodeEditor is a slimmed down, customized version of Qt Creator that focuses on bringing
its text/code modern editing capabilities to users looking for just a simple and beautiful editor.

Alternatives

Package Version Architecture Repository
code-editor-2.8.1-21.fc29.i686.rpm 2.8.1 i686 Fedora
code-editor - - -

Requires

Name Value
hicolor-icon-theme -
libQtCore.so.4()(64bit) -
libQtDeclarative.so.4()(64bit) -
libQtGui.so.4()(64bit) -
libQtHelp.so.4()(64bit) -
libQtNetwork.so.4()(64bit) -
libQtScript.so.4()(64bit) -
libQtSolutions_SingleApplication-2.6.so.1()(64bit) -
libQtSql.so.4()(64bit) -
libQtSvg.so.4()(64bit) -
libQtXml.so.4()(64bit) -
libQtXmlPatterns.so.4()(64bit) -
libbotan-1.10.so.1()(64bit) -
libc.so.6(GLIBC_2.14)(64bit) -
libdl.so.2()(64bit) -
libgcc_s.so.1()(64bit) -
libgcc_s.so.1(GCC_3.0)(64bit) -
libm.so.6()(64bit) -
libm.so.6(GLIBC_2.2.5)(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -
libstdc++.so.6()(64bit) -
libstdc++.so.6(CXXABI_1.3)(64bit) -
libstdc++.so.6(CXXABI_1.3.8)(64bit) -
libstdc++.so.6(CXXABI_1.3.9)(64bit) -
libstdc++.so.6(GLIBCXX_3.4)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.11)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.15)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.20)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.21)(64bit) -
libstdc++.so.6(GLIBCXX_3.4.9)(64bit) -
qt4(x86-64) >= 4.8.7
rtld(GNU_HASH) -
xdg-utils -

Provides

Name Value
application() -
application(code-editor.desktop) -
code-editor = 2.8.1-21.fc29
code-editor(x86-64) = 2.8.1-21.fc29
mimehandler(text/x-c++hdr) -
mimehandler(text/x-c++src) -
mimehandler(text/x-chdr) -
mimehandler(text/x-csrc) -
mimehandler(text/x-xsrc) -

Download

Type URL
Mirror download-ib01.fedoraproject.org
Binary Package code-editor-2.8.1-21.fc29.x86_64.rpm
Source Package code-editor-2.8.1-21.fc29.src.rpm

Install Howto

Install code-editor rpm package:

# dnf install code-editor

Files

Path
/usr/bin/code-editor
/usr/lib/.build-id/
/usr/lib/.build-id/10/699f34df9ac49ce121d5983d091b3e0d5f33f8
/usr/lib/.build-id/1b/dd9607f09f011bc4c90e25386b0281fa79c29e
/usr/lib/.build-id/27/31a629631b4fc53d55b3fb71dfcafb5c6fbe89
/usr/lib/.build-id/3c/be429b31c476afa746f8270dc22c756e998307
/usr/lib/.build-id/3e/ae1c27fd8813623d1457f284e80be8e4dc6986
/usr/lib/.build-id/5d/d714360065cd9aa4af5447fdd47c70801d4d29
/usr/lib/.build-id/60/7defe1d4de57bdc97fc7c4a19999f9c4023116
/usr/lib/.build-id/67/ed140e23ab2fe849c8e89c5e33816bc47754c9
/usr/lib/.build-id/69/54974aa768731b4dc5ec3abdead4b7614419de
/usr/lib/.build-id/6b/a35e8ff43dba3d1203ba4e18116552ebfb7781
/usr/lib/.build-id/79/4fa697f06cf77da1f8fbe3d66b5c630bde6f11
/usr/lib/.build-id/85/541204b7c921ec1cd9c79b7629ccb34c1496c4
/usr/lib/.build-id/8d/1d2c46e8a1b4cd503e77cf9d964d3715cdf04c
/usr/lib/.build-id/8e/00938e4790f280c8eb7a376265020d1d03b1b5
/usr/lib/.build-id/a5/da429dd1748d84365f4950877de4bacbe9842f
/usr/lib/.build-id/aa/0b21cabac1d49f6c5f7f4fef13ce465e75d676
/usr/lib/.build-id/ae/630cf0810e08f9d70bcc0727e87e447768240b
/usr/lib/.build-id/be/b0bf9c9cef9ad9dfa46467e78bc6efbd530cd9
/usr/lib/.build-id/d5/206708a1eabf81f13c42afec0880b9ad0b9bc3
/usr/lib/.build-id/e1/5aa211a514d0cab8d3d5d27fe04577f8511097
/usr/lib/.build-id/f3/2d5bc8631c1593137a265f8d4a1e88ef33827e
/usr/lib/.build-id/fb/e449e8d52d43d07a19b4da9cf331f83d46fcab
/usr/lib64/code-editor/libAggregation.so
/usr/lib64/code-editor/libAggregation.so.1
/usr/lib64/code-editor/libAggregation.so.1.0
/usr/lib64/code-editor/libAggregation.so.1.0.0
/usr/lib64/code-editor/libCPlusPlus.so
/usr/lib64/code-editor/libCPlusPlus.so.1
/usr/lib64/code-editor/libCPlusPlus.so.1.0
/usr/lib64/code-editor/libCPlusPlus.so.1.0.0
/usr/lib64/code-editor/libExtensionSystem.so
/usr/lib64/code-editor/libExtensionSystem.so.1
/usr/lib64/code-editor/libExtensionSystem.so.1.0
/usr/lib64/code-editor/libExtensionSystem.so.1.0.0
/usr/lib64/code-editor/libLanguageUtils.so
/usr/lib64/code-editor/libLanguageUtils.so.1
/usr/lib64/code-editor/libLanguageUtils.so.1.0
/usr/lib64/code-editor/libLanguageUtils.so.1.0.0
/usr/lib64/code-editor/libQtcSsh.so
/usr/lib64/code-editor/libQtcSsh.so.1
/usr/lib64/code-editor/libQtcSsh.so.1.0
/usr/lib64/code-editor/libQtcSsh.so.1.0.0
/usr/lib64/code-editor/libUtils.so
/usr/lib64/code-editor/libUtils.so.1
/usr/lib64/code-editor/libUtils.so.1.0
/usr/lib64/code-editor/libUtils.so.1.0.0
/usr/lib64/code-editor/plugins/BinEditor.pluginspec
/usr/lib64/code-editor/plugins/ClassView.pluginspec
/usr/lib64/code-editor/plugins/Core.pluginspec
/usr/lib64/code-editor/plugins/CppEditor.pluginspec
/usr/lib64/code-editor/plugins/CppTools.pluginspec
/usr/lib64/code-editor/plugins/DiffEditor.pluginspec
/usr/lib64/code-editor/plugins/FakeVim.pluginspec
/usr/lib64/code-editor/plugins/Find.pluginspec
/usr/lib64/code-editor/plugins/Git.pluginspec
/usr/lib64/code-editor/plugins/Locator.pluginspec
/usr/lib64/code-editor/plugins/ProjectExplorer.pluginspec
/usr/lib64/code-editor/plugins/TaskList.pluginspec
/usr/lib64/code-editor/plugins/TextEditor.pluginspec
/usr/lib64/code-editor/plugins/VcsBase.pluginspec
/usr/lib64/code-editor/plugins/libBinEditor.so
/usr/lib64/code-editor/plugins/libClassView.so
/usr/lib64/code-editor/plugins/libCore.so
/usr/lib64/code-editor/plugins/libCppEditor.so
/usr/lib64/code-editor/plugins/libCppTools.so
/usr/lib64/code-editor/plugins/libDiffEditor.so
/usr/lib64/code-editor/plugins/libFakeVim.so
/usr/lib64/code-editor/plugins/libFind.so
/usr/lib64/code-editor/plugins/libGit.so
/usr/lib64/code-editor/plugins/libLocator.so
/usr/lib64/code-editor/plugins/libProjectExplorer.so
/usr/lib64/code-editor/plugins/libTaskList.so
/usr/lib64/code-editor/plugins/libTextEditor.so
/usr/lib64/code-editor/plugins/libVcsBase.so
/usr/lib64/code-editor/qtcomponents/
/usr/lib64/code-editor/qtcomponents/plugin/libstyleplugin.so
/usr/share/applications/code-editor.desktop
/usr/share/code-editor/
/usr/share/code-editor/externaltools/vi.xml
/usr/share/code-editor/generic-highlighter/alert.xml
/usr/share/code-editor/generic-highlighter/autoconf.xml
/usr/share/code-editor/generic-highlighter/bash.xml
/usr/share/code-editor/generic-highlighter/cmake.xml
/usr/share/code-editor/generic-highlighter/css.xml
/usr/share/code-editor/generic-highlighter/doxygen.xml
/usr/share/code-editor/generic-highlighter/dtd.xml
/usr/share/code-editor/generic-highlighter/html.xml
/usr/share/code-editor/generic-highlighter/ini.xml
/usr/share/code-editor/generic-highlighter/java.xml
/usr/share/code-editor/generic-highlighter/javadoc.xml
/usr/share/code-editor/generic-highlighter/perl.xml
/usr/share/code-editor/generic-highlighter/ruby.xml
/usr/share/code-editor/generic-highlighter/valgrind-suppression.xml
/usr/share/code-editor/generic-highlighter/xml.xml
/usr/share/code-editor/generic-highlighter/yacc.xml
/usr/share/code-editor/schemes/MS_Visual_C++.kms
/usr/share/code-editor/schemes/Xcode.kms
/usr/share/code-editor/styles/darkvim.xml
/usr/share/code-editor/styles/default.xml
/usr/share/code-editor/styles/grayscale.xml
/usr/share/code-editor/styles/inkpot.xml
/usr/share/code-editor/styles/intellij.xml
/usr/share/doc/code-editor/LGPL_EXCEPTION.TXT
/usr/share/doc/code-editor/LICENSE.LGPL
/usr/share/doc/code-editor/README
/usr/share/icons/hicolor/128x128/apps/codeeditor.png
/usr/share/icons/hicolor/16x16/apps/codeeditor.png
/usr/share/icons/hicolor/24x24/apps/codeeditor.png
/usr/share/icons/hicolor/256x256/apps/codeeditor.png
/usr/share/icons/hicolor/32x32/apps/codeeditor.png
/usr/share/icons/hicolor/48x48/apps/codeeditor.png
/usr/share/icons/hicolor/512x512/apps/codeeditor.png
/usr/share/icons/hicolor/64x64/apps/codeeditor.png
/usr/share/icons/hicolor/scalable/apps/codeeditor.svg

Changelog

2018-07-12 - Fedora Release Engineering <releng@fedoraproject.org> - 2.8.1-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
2018-02-07 - Fedora Release Engineering <releng@fedoraproject.org> - 2.8.1-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild
2018-01-07 - Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.8.1-19
- Remove obsolete scriptlets
2017-08-02 - Fedora Release Engineering <releng@fedoraproject.org> - 2.8.1-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild
2017-07-26 - Fedora Release Engineering <releng@fedoraproject.org> - 2.8.1-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
2017-07-07 - Igor Gnatenko <ignatenko@redhat.com> - 2.8.1-16
- Rebuild due to bug in RPM (RHBZ #1468476)
2017-05-15 - Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_27_Mass_Rebuild
2017-02-10 - Fedora Release Engineering <releng@fedoraproject.org> - 2.8.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

See Also

Package Description
code2html-0.9.1-29.fc29.noarch.rpm Convert source code to HTML
codeblocks-17.12-7.fc29.x86_64.rpm An open source, cross platform, free C++ IDE
codeblocks-contrib-17.12-7.fc29.x86_64.rpm Additional Code::Blocks plug-ins
codeblocks-contrib-devel-17.12-7.fc29.i686.rpm Files needed to build Code::Blocks contrib plug-ins
codeblocks-contrib-devel-17.12-7.fc29.x86_64.rpm Files needed to build Code::Blocks contrib plug-ins
codeblocks-contrib-libs-17.12-7.fc29.i686.rpm Libraries needed to run Code::Blocks contrib plug-ins
codeblocks-contrib-libs-17.12-7.fc29.x86_64.rpm Libraries needed to run Code::Blocks contrib plug-ins
codeblocks-devel-17.12-7.fc29.i686.rpm Files needed to build Code::Blocks plug-ins
codeblocks-devel-17.12-7.fc29.x86_64.rpm Files needed to build Code::Blocks plug-ins
codeblocks-libs-17.12-7.fc29.i686.rpm Libraries needed to run Code::Blocks and its plug-ins
codeblocks-libs-17.12-7.fc29.x86_64.rpm Libraries needed to run Code::Blocks and its plug-ins
codec2-0.8.1-2.fc29.i686.rpm Next-Generation Digital Voice for Two-Way Radio
codec2-0.8.1-2.fc29.x86_64.rpm Next-Generation Digital Voice for Two-Way Radio
codec2-devel-0.8.1-2.fc29.i686.rpm Development files for Codec 2
codec2-devel-0.8.1-2.fc29.x86_64.rpm Development files for Codec 2
Advertisement
Advertisement